cupsfilter(8)

NAME
cupsfilter - convert a file to another format using cups filters

SYNOPSIS
cupsfilter [ -c config-file ] [ -d printer ] [ -e ] -j job-id[,N] [ -m mime/type ] [ -n copies ] [ -o name=value ] [ -p filename.ppd ] [ -t title ] filename

DESCRIPTION
cupsfilter is a front-end to the CUPS filter subsystem which allows you to convert a file to a specific format, just as if you had printed the file through CUPS. By default, cupsfilter generates a PDF file.

OPTIONS

-c config-file
    Uses the named cupsd.conf configuration file.

-d printer
    Uses information from the named printer.

-e
    Use every filter from the PPD file.

-j job-id[,N]
    Converts document N from the specified job. If N is omitted, document 1 is converted.

-m mime/type
    Specifies the destination file type. The default file type is application/pdf. Use printer/foo to convert to the printer format defined by the filters in the PPD file.

-n copies
    Specifies the number of copies to generate.

-o name=value
    Specifies options to pass to the CUPS filters.

-p filename.ppd
    Specifies the PPD file to use.

-t title
    Specifies the document title.

KNOWN ISSUES
cupsfilter currently does not use the filters defined in the PPD file. This will be addressed in a future CUPS release.

SEE ALSO
cupsd.conf(5)
http://localhost:631/help

COPYRIGHT
Copyright 2007-2010 by Apple Inc.